Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.utils
Class StringInputStream

    java.lang.Object
      java.io.InputStream
          edu.uci.ics.jung.utils.StringInputStream

Deprecated. As of JUNG version 1.5.2. Use `java.io.StringReader` instead.

public class StringInputStream
extends InputStream

Wraps a String as an InputStream. Note that data will be lost for characters not in ISO Latin 1, as a simple char->byte mapping is assumed. This file is (c) The Apache Software Foundation, and is released under the Apache Software License, Version 1.1, and is part of the apache ANT project (http://ant.apache.com

Author:
  Magesh Umasankar

Constructor Summary
`StringInputStream(String source)` Deprecated. Composes a stream from a String

Method Summary
`void` | `close()` Deprecated. Closes the Stringreader.
`void` | `mark(int limit)` Deprecated. Marks the read limit of the StringReader.
`boolean` | `markSupported()` Deprecated.
`int` | `read()` Deprecated. Reads from the Stringreader, returning the same value.
`void` | `reset()` Deprecated. Resets the StringReader.

Methods inherited from class java.io.InputStream
`available, read, read, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringInputStream

    public StringInputStream(String source)

  Deprecated.
  Composes a stream from a String

Parameters:
  `source` - The string to read from. Must not be `null`.

Method Detail

### read

    public int read()
             throws IOException

  Deprecated.
  Reads from the Stringreader, returning the same value. Note that data will be lost for characters not in ISO Latin 1. Clients assuming a return value in the range -1 to 255 may even fail on such input.

  Returns:
    the value of the next character in the StringReader
  Throws:
    `IOException` - if the original StringReader fails to be read

### close

    public void close()
               throws IOException

  Deprecated.
  Closes the Stringreader.

  Throws:
    `IOException` - if the original StringReader fails to be closed

### mark

    public void mark(int limit)

  Deprecated.
  Marks the read limit of the StringReader.

  Parameters:
    `limit` - the maximum limit of bytes that can be read before the mark position becomes invalid

### reset

    public void reset()
               throws IOException

  Deprecated.
  Resets the StringReader.

  Throws:
    `IOException` - if the StringReader fails to be reset

### markSupported

    public boolean markSupported()

  Deprecated.
  See Also:
    `InputStream.markSupported()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD